Subject: IPv6 address assignment

From: Shashidhar MC <[email-masked]>
Date: Wed, 8 May 2002 03:11:20 -0700 (PDT)

Hello,

  I have ipv6 running on linux 2.4.2-2 on 6 machines.
I want to setup a IPv6 network which looks something
like this.

   M1 --------                            -----M3
             |                            |
             |--------G1 ------- G2 ------|
             |                            |
   M2 --------                            ------M4

I need to configure G1 and G2 as gateways and
the rest as hosts.

This is an isolated IPv6 network and will not be
connected to the Internet.  

How do I assign IPv6 addresses to them ?  Also what
prefix should be used so as to have 3 different
subnetworks - 
M1 & M2 form subnetwork1
G1 & G2 form subnetwork2
M3 & M4 form subnetwork3

All these machines will be connected to one single
ethernet hub, so how do I configure G1 and G1 to act
as IPv6 gateways and the rest as IPv6 hosts ?

thanks in advance
shashi

__________________________________________________
Do You Yahoo!?
Yahoo! Health - your guide to health and wellness
http://health.yahoo.com
--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------